<body>
    <form class="center" autocomplete="off" (submit)="onRegistration(registrationForm)" #registrationForm="ngForm">
        <div class="header">Create Account</div>
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="inputFirstName">First name</label>
                <input type="text" name="firstName" class="form-control" id="inputFirstName" ngModel
                    #firstnameField="ngModel" required>
                <div *ngIf="firstnameField.invalid && (registrationForm.submitted || firstnameField.touched)">
                    <div *ngIf="firstnameField.errors.required" class="input-err-text">First name is required.</div>
                </div>
            </div>
            <div class="form-group col-md-6">
                <label for="inputLastName">Last name</label>
                <input type="text" name="lastName" class="form-control" id="inputLastName" ngModel
                    #lastnameField="ngModel" required>
                <div *ngIf="lastnameField.invalid && (registrationForm.submitted || lastnameField.touched)">
                    <div *ngIf="lastnameField.errors.required" class="input-err-text">Last name is required.</div>
                </div>
            </div>
        </div>
        <div class="form-group">
            <label for="inlineFormInputGroupUsername2">Username</label>
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text">@</div>
                </div>
                <input type="text" class="form-control" id="inlineFormInputGroupUsername2" placeholder="Username"
                    (ngModelChange)="validateUsernameNotTaken($event)" name="username" #username="ngModel" ngModel
                    required>
                <div *ngIf="usernameTaken" class="input-err-text"> Username already exist</div>
            </div>
            <div *ngIf="username.invalid && (registrationForm.submitted || username.touched)">
                <div *ngIf="username.errors.required" class="input-err-text">Username is required.</div>
            </div>
        </div>
        <div class="form-group">
            <label for="inputEmail">Email</label>
            <input type="email" name="email" (ngModelChange)="validateEmailNotTaken($event)" ngModel
                #emailField="ngModel" class="form-control" id="inputEmail" placeholder="you@example.com"
                [pattern]="emailPattern" required>
            <div *ngIf="emailField.invalid && (registrationForm.submitted || emailField.touched)">
                <div *ngIf="emailField.errors.required" class="input-err-text">Email is required.</div>
                <div *ngIf="emailField.errors.pattern" class="input-err-text">Email should be like *@*.* format</div>
            </div>
            <div *ngIf="emailTaken" class="input-err-text"> Email already exist</div>
        </div>
        <div class="form-group">
            <label for="inputPassword">Password</label>
            <input type="password" name="password" ngModel #pass="ngModel" class="form-control" id="inputPassword"
                placeholder="Password" required>
            <div *ngIf="pass.invalid && (registrationForm.submitted || pass.touched)">
                <div *ngIf="pass.errors.required" class="input-err-text">Password is required.</div>
            </div>
        </div>
        <div class="form-group">
            <label for="inputPasswordConfirmation">Password Confirmation</label>
            <input type="password" ngModel name="inputPasswordConfirmation" #passConfirm="ngModel" class="form-control"
                id="inputPasswordConfirmation" placeholder="Confirm password" pattern="{{ pass.value }}" required>
            <div *ngIf="passConfirm.invalid && (registrationForm.submitted || passConfirm.touched)">
                <div *ngIf="passConfirm.errors.required" class="input-err-text">Password Confirmation is required.</div>
                <div *ngIf="passConfirm.errors.pattern" class="input-err-text"> Password & Password Confirmation does
                    not match.</div>
            </div>
        </div>
        <div class="form-group">
            <label for="roleSelect">Role</label>
            <select ngModel #roleSelect="ngModel" name="roleSelect" id="roleSelect" class="form-control" required>
                <option *ngFor="let role of rolesList" [value]="role.roleId">{{role.roleName}}</option>
            </select>
            <div *ngIf="roleSelect.invalid && (registrationForm.submitted || roleSelect.touched)">
                <div *ngIf="roleSelect.errors.required" class="input-err-text">Role is required.</div>
            </div>
        </div>
        <div class="separator-horizontal"></div>
        <button class="btn-submit" mat-raised-button type="submit" color="accent">
            Sign up
        </button>
    </form>
    <div class="footer">
        <span>© 2019 DigitalSkynet Developers</span>
        <div>
            <a routerLink="/privacy">Privacy</a>
            <a routerLink="/terms">Terms</a>
            <a routerLink="/support">Support</a>
        </div>
    </div>
</body>